var HidedFields = {
	provider_max_credit: 30000,

	init: function() {
		var typeRadioGroup = HidedFields.getTypeRadioGroup();
		var postpaidCheckbox = HidedFields.getPostpaidCheckbox();
		for(i=0;i<typeRadioGroup.length;i++)
			typeRadioGroup[i].onchange = new Function('HidedFields.unhide_owner();return false;')
		postpaidCheckbox.onchange = new Function('HidedFields.unhide_ext_id();return false;')
		HidedFields.unhide_owner();
		HidedFields.unhide_ext_id();
	},

	getTypeRadioGroup: function() {
		return document.getElementsByName('type');
	},
	
	getPostpaidCheckbox: function() {
		return document.getElementsByName('postpaid')[0];
	},
	
	getCreditInput: function() {
		return document.getElementsByName('credit')[0];
	},
	
	getOwnerRows: function() {
		var rows = new Array(0);
		rows[0] = document.getElementsByClassName('client')[0];
		rows[1] = document.getElementsByClassName('group')[0];

		return rows;
	},
	
	setCreditValue: function(value) {
		var creditInput = HidedFields.getCreditInput();
		if(creditInput.value == 0 || creditInput.value == HidedFields.provider_max_credit)
			creditInput.value = value;
	},


	unhide_ext_id: function() {
		var postpaidCheckbox = HidedFields.getPostpaidCheckbox();
		var extidInput = document.getElementsByClassName('ext_owner_id')[0];
		if(postpaidCheckbox.checked) {
			HidedFields.setCreditValue(HidedFields.provider_max_credit);	
			extidInput.style.display = "block";
		}
		else {
			HidedFields.setCreditValue(0);	
			extidInput.style.display = "none";
		}
	},
	
	
	unhide_owner: function() {
		var ownerRows = HidedFields.getOwnerRows();
		var typeRadioGroup = HidedFields.getTypeRadioGroup();

		if(typeRadioGroup.length != ownerRows.length)
			alert('Error: the number of types not matches the number of owner rows');
		for(i=0;i<ownerRows.length;i++)
		{
			if(typeRadioGroup[i].checked) 
				ownerRows[i].style.display = "block";
			else
				ownerRows[i].style.display = "none";
		}
	}
}
addEvent(window, 'load', HidedFields.init);
